> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loopreturns.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Close Return

> Close a return. Closing a return will not fulfill any outcomes such as exchanges or gift cards, and the
items are not able to be used in a new return.

Returns closed using this endpoint will also be closed in the commerce provider (e.g. Shopify).

### Required API key scope
- Returns




## OpenAPI

````yaml post /warehouse/return/{id}/close
openapi: 3.1.0
info:
  title: Returns API
  version: v1
  description: API used for performing operations on returns.
servers:
  - url: https://api.loopreturns.com/api/v1
security: []
tags:
  - name: Return Actions
  - name: Return Data
paths:
  /warehouse/return/{id}/close:
    post:
      tags:
        - Return Actions
      summary: Close Return
      description: >
        Close a return. Closing a return will not fulfill any outcomes such as
        exchanges or gift cards, and the

        items are not able to be used in a new return.


        Returns closed using this endpoint will also be closed in the commerce
        provider (e.g. Shopify).


        ### Required API key scope

        - Returns
      operationId: closeReturn
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
          description: The unique identifier associated with the return.
      responses:
        '200':
          $ref: '#/components/responses/CloseReturn'
        '401':
          $ref: '#/components/responses/Unauthorized'
      security:
        - api_key: []
components:
  responses:
    CloseReturn:
      description: Success
      content:
        application/json:
          schema:
            oneOf:
              - $ref: '#/components/schemas/SuccessMessage'
              - $ref: '#/components/schemas/ReturnActionError'
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            required:
              - errors
            properties:
              errors:
                type: string
                examples:
                  - Unauthorized.
  schemas:
    SuccessMessage:
      description: The value returned when the return action succeeds.
      type: boolean
      examples:
        - true
    ReturnActionError:
      type: object
      description: >-
        An error response for a return action, containing a message describing
        the failure.
      properties:
        errors:
          type: object
          properties:
            message:
              type: string
              examples:
                - No return found with this ID.
  securitySchemes:
    api_key:
      type: apiKey
      name: X-Authorization
      in: header

````